cast.h File Reference

Classes for the CAST-128 and CAST-256 block ciphers. More...

Go to the source code of this file.

## Classes

class | CAST
| CAST block cipher base. More...
struct | CAST128_Info
| CAST128 block cipher information. More...
class | CAST128
| CAST128 block cipher. More...
struct | CAST256_Info
| CAST256 block cipher information. More...
class | CAST256
| CAST256 block cipher. More...

## Typedefs

typedef CAST128::Encryption | CAST128Encryption
typedef CAST128::Decryption | CAST128Decryption
typedef CAST256::Encryption | CAST256Encryption
typedef CAST256::Decryption | CAST256Decryption

## Detailed Description

Classes for the CAST-128 and CAST-256 block ciphers.

Since
  Crypto++ 2.2

Definition in file cast.h.